package com.ynet.life.sujrb.html;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.gene.web.taskInfo.TaskGroup;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.html.LifeJspContextServices;
import com.ynet.life.sujrb.base.PBBusinessInfo;
import com.ynet.life.sujrb.base.PBStandard;
import com.ynet.life.sujrb.vipclient.PBTaskInfo;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.List;
import java.util.Map;
import java.util.StringTokenizer;

/* loaded from: com_ynet_life_sujrb_html.jar:com/ynet/life/sujrb/html/PBJspContextServices.class */
public class PBJspContextServices extends LifeJspContextServices {
    private static final String DEFAULT_STYLE_PATH = "default";
    private static final String DEFAULT_FRAME_PAGE = "main.jsp";
    private static final String USER_STYLE_FIELD = "session_stylePath";
    private static final String USER_FRAME_FIELD = "session_framePage";

    public String getAccounts() {
        return getAccounts(null, null, null, null);
    }

    public String getAccounts(String account) {
        return getAccounts(null, null, account, null);
    }

    public String getAccountsByType(String type) {
        return getAccounts(type, null, null, null);
    }

    public String getAccounts(String type, String signFlag, String account, String filterAccount) {
        StringBuffer optionList = new StringBuffer();
        IndexedCollection iAccounts = (IndexedCollection) getSessionContext().get("iAccountInfo");
        for (int i = 0; i < iAccounts.size(); i++) {
            KeyedCollection kcoll = iAccounts.getElementAt(i);
            String accountType = (String) kcoll.get("accountType");
            String accountSignFlag = (String) kcoll.get("signFlag");
            String accountNo = (String) kcoll.get("accountNo");
            String accountStat = (String) kcoll.get("accountStat");
            if ("0".equals(accountStat) && ((type == null || type.indexOf(accountType) >= 0) && ((signFlag == null || accountSignFlag.equals(signFlag)) && (filterAccount == null || filterAccount.length() == 0 || filterAccount.indexOf(accountNo) < 0)))) {
                String currency = (String) kcoll.get("currencyType");
                String openNode = (String) kcoll.get("openBranch");
                String accountAlias = nvl(kcoll.get("accountAlias"), "");
                String openNodeName = (String) kcoll.get("branchName");
                optionList.append("<option value='");
                optionList.append(accountNo).append("|");
                optionList.append(accountType).append("|");
                optionList.append(currency).append("|");
                optionList.append(openNode).append("|");
                optionList.append(openNodeName);
                if (accountNo.equals(account)) {
                    optionList.append("' selected");
                } else {
                    optionList.append("'");
                }
                optionList.append(">");
                optionList.append(getMaskAccount(accountNo));
                optionList.append("[").append(accountAlias).append("]");
                optionList.append("</option>");
            }
        }
        return optionList.toString();
    }

    public String getAccountsUnInclude(String type, IndexedCollection iAccountNo) {
        int iAccountNoSize = iAccountNo.size();
        StringBuffer sb = new StringBuffer();
        for (int j = 0; j < iAccountNoSize; j++) {
            String account = (String) iAccountNo.getElementAt(j).get("accountNo");
            sb.append(account).append("|");
        }
        return getAccounts(type, "1", null, sb.toString());
    }

    public String getBusinessName(String businessCode) {
        PBTaskInfo taskInfo = PBStandard.getTaskInfo(businessCode);
        String businessName = businessCode;
        if (taskInfo != null) {
            businessName = getDisplayAt(taskInfo.getName());
        } else if ("PB0000".equals(businessCode)) {
            businessName = getDisplayAt("登录");
        } else if ("PB9999".equals(businessCode)) {
            businessName = getDisplayAt("退出");
        }
        return businessName;
    }

    public String getBusinessTag(String businessCodeStr, String tagonPosStr) {
        int tagonPos;
        StringTokenizer bizCodeToke = new StringTokenizer(businessCodeStr, "|");
        StringBuffer resultStr = new StringBuffer();
        try {
            int parseInt = Integer.parseInt(tagonPosStr);
            tagonPos = parseInt;
            if (parseInt > bizCodeToke.countTokens()) {
                tagonPos = bizCodeToke.countTokens();
            }
        } catch (NumberFormatException unused) {
            tagonPos = 1;
        }
        int i = 1;
        while (bizCodeToke.hasMoreElements()) {
            String businessCode = (String) bizCodeToke.nextElement();
            PBTaskInfo taskInfo = PBStandard.getTaskInfo(businessCode);
            if (taskInfo != null && !"".equals(taskInfo)) {
                String businessName = getBusinessName(businessCode);
                String actionURL = getBusinessAction(businessCode);
                String tagonFlag = i == tagonPos ? "on" : "off";
                resultStr.append("<span class=\"top_link_" + tagonFlag + "\" >");
                resultStr.append("<a href=\"" + getURL(actionURL) + "\"/>");
                resultStr.append(businessName);
                resultStr.append("</a>");
                resultStr.append("</span>");
                i++;
            }
        }
        return resultStr.toString();
    }

    public String getBusinessTag(String businessCodeStr, String funNameStr, String tagonPosStr) {
        int tagonPos;
        StringTokenizer bizCodeToke = new StringTokenizer(businessCodeStr, "|");
        StringTokenizer funNameToke = new StringTokenizer(funNameStr, "|");
        StringBuffer resultStr = new StringBuffer();
        try {
            int parseInt = Integer.parseInt(tagonPosStr);
            tagonPos = parseInt;
            if (parseInt > bizCodeToke.countTokens()) {
                tagonPos = bizCodeToke.countTokens();
            }
        } catch (NumberFormatException unused) {
            tagonPos = 1;
        }
        int i = 1;
        while (bizCodeToke.hasMoreElements()) {
            String businessCode = (String) bizCodeToke.nextElement();
            PBBusinessInfo businessInfo = PBStandard.getBusinessInfo(businessCode);
            if (businessInfo != null && !"".equals(businessInfo)) {
                String businessName = getBusinessName(businessCode);
                String actionFun = (String) funNameToke.nextElement();
                String tagonFlag = i == tagonPos ? "on" : "off";
                resultStr.append("<span class=\"top_link_" + tagonFlag + "\" >");
                resultStr.append("<a href=\"javaScript:" + actionFun + "\"/>");
                resultStr.append(businessName);
                resultStr.append("</a>");
                resultStr.append("</span>");
                i++;
            }
        }
        return resultStr.toString();
    }

    public String getBusinessAction(String businessCode) {
        PBTaskInfo taskInfo = PBStandard.getTaskInfo(businessCode);
        if (taskInfo == null) {
            return businessCode;
        }
        return taskInfo.getAction();
    }

    public String getBusinessCode() {
        return (String) getSessionContext().get("businessCode");
    }

    public String getAction() {
        return getBusinessAction(getBusinessCode());
    }

    public String getButton(String buttonName, String displayName, String jsFunction) {
        return "<input type=\"button\" class=\"button\" id=\"" + buttonName + "\" value=\"" + getDisplayAt(displayName) + "\" onClick=\"" + jsFunction + "\"/>";
    }

    public String getButton(String buttonName, String displayName, String jsFunction, String otherProperties) {
        return "<input type=\"button\" id=\"" + buttonName + "\" value=\"" + getDisplayAt(displayName) + "\" onClick=\"" + jsFunction + "\" " + otherProperties + "/>";
    }

    public String getCSS() {
        return getCssByName("liana.css");
    }

    public String getImgPath() {
        String path;
        String language = getLanguage();
        if ("EN_US".equals(language)) {
            path = String.valueOf(getWebAppPath()) + "images/" + getUserStyle() + "/" + language + "/";
        } else {
            path = String.valueOf(getWebAppPath()) + "images/" + getUserStyle() + "/";
        }
        return path;
    }

    public String getCssPath() {
        return String.valueOf(getWebAppPath()) + "css/" + getUserStyle() + "/";
    }

    public String getJsPath() {
        return String.valueOf(getWebAppPath()) + "scripts/";
    }

    public String getUserStyle() {
        String str = (String) getSessionContext().get(USER_STYLE_FIELD);
        String userStyle = str;
        if (str == null) {
            userStyle = DEFAULT_STYLE_PATH;
        }
        return userStyle;
    }

    public String getLanguage() {
        Context sessionContext = getSessionContext();
        String language = null;
        if (sessionContext != null) {
            language = (String) getSessionContext().get("session_language");
        }
        if (language == null) {
            language = "zh_cn";
        }
        return language;
    }

    public String getScriptPath() {
        return String.valueOf(getWebAppPath()) + "scripts/";
    }

    public String getUserFrame() {
        String str = (String) getSessionContext().get(USER_FRAME_FIELD);
        String framePage = str;
        if (str == null) {
            framePage = DEFAULT_FRAME_PAGE;
        }
        return framePage;
    }

    public String getPosition() {
        String businessCode = getBusinessCode();
        if (businessCode == null) {
            return "";
        }
        StringBuffer result = new StringBuffer();
        PBTaskInfo taskInfo = PBStandard.getTaskInfo(businessCode);
        result.append("<b>").append(getBusinessName(businessCode)).append("</b>");
        TaskGroup parent = taskInfo.getParent();
        while (true) {
            TaskGroup parent2 = parent;
            if (parent2.getId() != null) {
                result.insert(0, " &gt; ").insert(0, getDisplayAt(parent2.getName()));
                parent = parent2.getParent();
            } else {
                result.insert(0, "");
                result.insert(0, "<div class=\"current_position\">");
                result.append("</div>");
                return result.toString();
            }
        }
    }

    public String getMaskAccount(String account) {
        int len;
        String result = null;
        if (account != null) {
            try {
                len = account.length();
            } catch (Exception ex) {
                log(ex);
            }
            if (len >= 9) {
                if ("1".equals(getContext().getDataValue("maskAcctFlg"))) {
                    result = String.valueOf(account.substring(0, len - 9)) + "*****" + account.substring(len - 4);
                } else {
                    result = account;
                }
                return result;
            }
        }
        result = account;
        return result;
    }

    public String getCurrentAction() {
        String result = null;
        try {
            result = getBusinessAction((String) getSessionContext().getDataValue("businessCode"));
        } catch (GENEException ex) {
            log(ex);
        }
        return result;
    }

    public boolean hasSubAccount(String accountType) {
        if (accountType == null) {
            return false;
        }
        if ("0".equals(accountType) || "4".equals(accountType)) {
            return true;
        }
        return false;
    }

    public IndexedCollection getICAcctByType() {
        IndexedCollection acctByType = new IndexedCollection();
        try {
            IndexedCollection iAccountInfo = getSessionContext().getDataElement("iAccountInfo");
            for (int i = 0; i < iAccountInfo.size(); i++) {
                KeyedCollection kDS = iAccountInfo.getElementAt(i);
                String accountType = (String) kDS.getDataValue("accountType");
                if ("0".equals(accountType)) {
                    acctByType.add(kDS);
                }
            }
        } catch (Exception ex) {
            log(ex);
        }
        return acctByType;
    }

    public String getIcollInput(String icollName) {
        StringBuffer result = new StringBuffer();
        String icollPrefix = String.valueOf(icollName) + ".";
        for (Map kcoll : (List) getContext().get(icollName)) {
            for (String fieldName : kcoll.keySet()) {
                String fieldValue = (String) kcoll.get(fieldName);
                result.append("<input type=\"hidden\" name=\"").append(String.valueOf(icollPrefix) + fieldName);
                result.append("\" value=\"").append(fieldValue).append("\"/>");
            }
        }
        return result.toString();
    }

    public String getCssByName(String fileName) {
        String personalStyle = "<link href=\"" + getWebAppPath() + "css/" + getUserStyle() + "/" + fileName + "\" rel=\"stylesheet\" type=\"text/css\" title=\"" + getUserStyle() + "\"/>";
        for (String cssName : LifeStandard.getAppCodeHash("PB_CSS_NAME", getLanguage()).keySet()) {
            personalStyle = String.valueOf(personalStyle) + "<link href=\"" + getWebAppPath() + "css/" + cssName + "/" + fileName + "\" rel=\"alternate stylesheet\" type=\"text/css\" title=\"" + cssName + "\"/>";
        }
        return personalStyle;
    }

    public String getJsI18NResource() {
        return "<script src=\"" + getScriptPath() + "/i18n/" + getLanguage() + "/resource.js\"></script>";
    }

    public String getTitle() {
        return "欢迎使用Life个人网上银行";
    }

    public String getCopyRight() {
        return "版权所有：北京宇信易诚科技有限公司 Copyright © 2008 Yucheng Technologies Limited All Rights Reserved. ";
    }

    public String getSafeLevCN() {
        String safeLevCN = "中";
        int safeLev = 0;
        try {
            safeLev = Integer.parseInt((String) getContext().getDataValue("safeLev"));
        } catch (Exception e) {
            log(e);
        }
        if (safeLev >= 6) {
            safeLevCN = "高";
        } else if (safeLev >= 3 && safeLev < 6) {
            safeLevCN = "中－高";
        }
        return safeLevCN;
    }

    public String getQuickMenu() {
        String language;
        Context sessionContext = getSessionContext();
        StringBuffer result = new StringBuffer();
        try {
            language = (String) sessionContext.getDataValue("session_language");
        } catch (GENEException unused) {
            language = "ZH_CN";
        }
        try {
            IndexedCollection iColl = sessionContext.getDataElement("iQuickMenu");
            int iCollSize = iColl.size();
            for (int i = 0; i < iCollSize; i++) {
                PBTaskInfo businessInfo = PBStandard.getTaskInfo((String) iColl.getElementAt(i).getDataValue("businessCode"));
                result.append("\n<div class='tzlb_middle_news'>\n");
                result.append("<ul>\n");
                result.append("<li>\n");
                result.append("<a href='#' onclick=\"loadQuickMenu('");
                result.append(businessInfo.getId()).append("')\">");
                result.append(LifeStandard.getResouceDisplayAt(businessInfo.getName(), language));
                result.append("</a>\n");
                result.append("</li>\n");
                result.append("</ul>\n");
                result.append("</div>\n");
            }
        } catch (GENEException ex) {
            Trace.logError("LifeAction", "获取快捷菜单失败", ex);
        }
        return result.toString();
    }

    public String getBankNotice() {
        StringBuffer result = new StringBuffer();
        try {
            IndexedCollection iColl = getContext().getDataElement("iBankNotice");
            int iCollSize = iColl.size();
            for (int i = 0; i < iCollSize; i++) {
                KeyedCollection kColl = iColl.getElementAt(i);
                String messageId = (String) kColl.getDataValue("messageId");
                String messageTitle = (String) kColl.getDataValue("messageTitle");
                result.append("\n<div class='tzlb_middle_news_same'>\n");
                result.append("<ul>\n");
                result.append("<li>\n");
                result.append("<a href='#' onclick=\"readNotice('");
                result.append(messageId).append("')\">");
                result.append(messageTitle);
                result.append("</a>\n");
                result.append("</li>\n");
                result.append("</ul>\n");
                result.append("</div>\n");
            }
        } catch (GENEException ex) {
            Trace.logError("LifeAction", "获取银行公告失败", ex);
        }
        return result.toString();
    }

    public String getFirstBankNotice() {
        StringBuffer result = new StringBuffer();
        try {
            IndexedCollection iColl = getContext().getDataElement("iBankNotice");
            int iCollSize = iColl.size();
            if (iCollSize > 0) {
                String messageContent = (String) iColl.getElementAt(0).getDataValue("messageContent");
                result.append(messageContent);
            }
        } catch (GENEException ex) {
            Trace.logError("LifeAction", "获取第一条银行公告内容失败", ex);
        }
        return result.toString();
    }

    public boolean enableLimit(String limit) {
        return !limit.startsWith("999999999999");
    }

    public String formatCurrencyData(String currency) {
        if (currency == null || currency.length() == 0) {
            return "";
        }
        return enableLimit(currency) ? getFmtCurrency(currency) : "";
    }

    public String getTheFirstDayOfThisMonth() {
        Calendar now = Calendar.getInstance();
        now.set(5, 1);
        return new SimpleDateFormat("yyyyMMdd").format(now.getTime());
    }

    public String getUnionBankSelect(String selectName) throws GENEException {
        IndexedCollection icoll = getContext().getDataElement("iUnionBankList");
        StringBuffer select = new StringBuffer();
        select.append("<select id=\"" + selectName + "\" name=\"" + selectName + "\" onchange=\"catch_onchange(this)\" onkeydown=\"catch_keydown(this)\" onkeypress=\"writeSelect(this)\" onkeyup=\"query(this)\" style='width:240px;'>");
        select.append("<option value=\"\">输入关键字</option>");
        for (int i = 0; i < icoll.size(); i++) {
            KeyedCollection kcoll = icoll.getElementAt(i);
            String unionBankNo = (String) kcoll.getDataValue("unionBankNo");
            String bankName = (String) kcoll.getDataValue("bankName");
            String bankType = (String) kcoll.getDataValue("bankType");
            String value = String.valueOf(unionBankNo) + "|" + bankName + "|" + bankType;
            select.append("<option value='" + value + "'>").append(bankName).append("</option>");
        }
        select.append("</select>");
        return select.toString();
    }

    public String getUnionBankSelect(String selectName, String onchangeName) throws GENEException {
        IndexedCollection icoll = getContext().getDataElement("iUnionBankList");
        StringBuffer select = new StringBuffer();
        select.append("<select id=\"" + selectName + "\" name=\"" + selectName + "\" onchange=\"catch_onchange(this);" + onchangeName + "\" onkeydown=\"catch_keydown(this)\" onkeypress=\"writeSelect(this)\" onkeyup=\"query(this)\" style='width:240px;'>");
        select.append("<option value=\"\">输入关键字</option>");
        for (int i = 0; i < icoll.size(); i++) {
            KeyedCollection kcoll = icoll.getElementAt(i);
            String unionBankNo = (String) kcoll.getDataValue("unionBankNo");
            String bankName = (String) kcoll.getDataValue("bankName");
            String bankType = (String) kcoll.getDataValue("bankType");
            String value = String.valueOf(unionBankNo) + "|" + bankName + "|" + bankType;
            select.append("<option value='" + value + "'>").append(bankName).append("</option>");
        }
        select.append("</select>");
        return select.toString();
    }

    public String getUnionBankSelect() throws GENEException {
        IndexedCollection icoll = getContext().getDataElement("iUnionBankList");
        StringBuffer select = new StringBuffer();
        for (int i = 0; i < icoll.size(); i++) {
            KeyedCollection kcoll = icoll.getElementAt(i);
            String unionBankNo = (String) kcoll.getDataValue("unionBankNo");
            String bankName = (String) kcoll.getDataValue("bankName");
            String bankType = (String) kcoll.getDataValue("bankType");
            String value = String.valueOf(unionBankNo) + "|" + bankName + "|" + bankType;
            select.append("<option value='" + value + "'>").append(bankName).append("</option>");
        }
        return select.toString();
    }

    public String getReturnButton(String businessCode) {
        StringBuffer buffer = new StringBuffer();
        getSessionContext();
        String bsnName = PBStandard.getTaskInfo(businessCode).getAction();
        String url = getURL(bsnName);
        buffer.append("<input type=\"button\" class=\"button\" value=\"" + getDisplayAt("返回") + "\" onclick=\"window.top.doTranDispatch('" + url + "')\" />");
        return buffer.toString();
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v2 */
    /* JADX WARN: Type inference failed for: r0v3, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v8, types: [java.lang.String] */
    public String getReturnButton() {
        Context session = getSessionContext();
        ?? r0 = 0;
        String bsnCode = null;
        try {
            r0 = (String) session.getDataValue("currentBusinessCode");
            bsnCode = r0;
        } catch (Exception e) {
            r0.printStackTrace();
        }
        return getReturnButton(bsnCode);
    }
}
